import React from 'react';
import StatisCard from '@/components/ScreenBox/StatisCard';
import { getBasic } from '@/services/monitoringScreen';

export default (props) => {
  const [basic, setBasic] = React.useState();

  React.useEffect(() => {
    //顶部基本数据
    getBasic()
      .then((res) => {
        var data = {};
        for (let i = 0; i < res.length; i++) {
          const element = res[i];
          data[element.name] = element.value;
        }
        setBasic(data);
      })
      .catch((err) => {
        console.log(err.message);
      });
  }, []);

  return (
    <>
      <StatisCard
        color="#23E8AE"
        icon="icon1"
        value={basic?.totalMachineryNum}
        title="农机总数（台）"
      />
      <StatisCard
        color="#0BDAFF"
        icon="icon2"
        value={basic?.totalMachineryUsed}
        title="农机使用数（台）"
      />
      <StatisCard color="#F5CC5C" icon="icon3" value={basic?.totalOrderNum} title="总预约数" />
      <StatisCard color="#C579FF" icon="icon4" value={basic?.totalServiceNum} title="总服务数" />
    </>
  );
};
