import React from 'react';
import { transform } from './map/coordinate';

const iconB = '//a.amap.com/jsapi_demos/static/demo-center/icons/poi-marker-default.png';
const iconR = '//a.amap.com/jsapi_demos/static/demo-center/icons/poi-marker-red.png';

export default function makeMachinery(machines, markers, map, AMap, onClick) {
  if (!map) return;
  if (!machines || !machines.length) return;

  // 清除原记录
  if (markers.length > 0) {
    for (let i in markers) {
      const marker = markers[i];
      marker.setMap(null);
      delete markers[i];
    }
  }

  for (let item of machines) {
    if (!item.location) continue;
    if (item.location.indexOf('0.0') > -1) continue;

    const position = transform(item.location);

    const marker = new AMap.Marker({
      map,
      position,
      icon: item.deviceType === 'shensong' ? iconB : iconR,
      offset: new AMap.Pixel(-13, -30),
    });

    marker.on('click', () => onClick(item, position));
    markers.push(marker);
  }

  // 第一个参数为空，表明用图上所有覆盖物 setFitview
  // 第二个参数为false, 非立即执行
  // 第三个参数设置上左下右的空白
  map.setFitView(null, false, [150, 60, 100, 60]);
}
