import request from '@/utils/request';

/**
 * 保存农机
 * @param {*} data
 * @returns
 */
export const addMachinery = (data) => request('/machinery', { method: 'post', data });

/**
 * 修改农机
 * @param {*} data
 * @returns
 */
export const updateMachinery = (id, data) => request(`/machinery/${id}`, { method: 'put', data });

/**
 * 维修/完成维修农机
 * @param {*} data
 * @returns
 */
export const updateRepair = (id, status) =>
  request(`/machinery/${id}/status/${status}`, { method: 'put' });

/**
 * 查询农机列表
 * @param {*} params
 * @returns
 */
export const getMachineryList = (params) => request('/machinery', { params });

/**
 * 删除农机
 * @param {*} data
 * @returns
 */
export const deleteMachinery = (id) => request(`/machinery/${id}`, { method: 'delete' });

/**
 * 查询农机详情
 * @param {*} params
 * @returns
 */
export const getMachineryDetail = (id) => request(`/machinery/${id}`);

/**
 * 查询预约状态
 * @param {*} params
 * @returns
 */
export const getduty = (id, params) => request(`/machinery/${id}/duty`, { params });

/**
 * 查询实时预览信息
 * @param {*} id
 * @returns
 */
export const getPreviewInfo = (id) => request(`/machinery/${id}/preview`);
